# Copyright (c) 2016 Dave Love, Liverpool University
# MIT licence, per Fedora policy.

# "last" might be a source of confusion
Name:           last-seq
Version:        810
Release:        1%{?dist}
Summary:        Finding similar regions between biological sequences
License:        GPLv3+
URL:            http://last.cbrc.jp/
Source0:        http://last.cbrc.jp/last-810.zip
BuildRequires:  gcc-c++

%description
LAST finds similar regions between sequences.  It can:
* Handle big sequence data, e.g:
  - Compare two vertebrate genomes;
  - Align billions of DNA reads to a genome;
* Indicate the reliability of each aligned column;
* Use sequence quality data properly;
* Compare DNA to proteins, with frameshifts;
* Compare PSSMs to sequences;
* Calculate the likelihood of chance similarities between random sequences;
* Do split and spliced alignment;
* Train alignment parameters for unusual kinds of sequence (e.g. nanopore).

It copes more efficiently with repeat-rich sequences (e.g. genomes)
than BLAST and similar tools.  Compared with DNA read mapping tools it
can find weak similarities, with many mismatches and gaps.



%prep
%setup -q -n last-%version


%build
make %{?_smp_mflags} CXXFLAGS="%optflags -O3 %{!?el6:-std=c++11}"


%install
make install bindir=%buildroot%_bindir
mkdir -p %buildroot%_datadir/last-seq
cp -a data/* %buildroot%_datadir/last-seq


%{!?_licensedir:%global license %doc}

%files
%license COPYING.txt
%doc ChangeLog.txt doc/* examples
# possibly some of these should be re-named
%_bindir/fastq-interleave
%_bindir/last-dotplot
%_bindir/last-map-probs
%_bindir/last-merge-batches
%_bindir/last-pair-probs
%_bindir/last-postmask
%_bindir/last-split
%_bindir/last-train
%_bindir/lastal
%_bindir/lastdb
%_bindir/maf-convert
%_bindir/maf-join
%_bindir/maf-sort
%_bindir/maf-swap
%_bindir/parallel-fasta
%_bindir/parallel-fastq
%_datadir/last-seq


%changelog
* Thu Nov 17 2016 Dave Love <loveshack@fedoraproject.org> - 810-1
- Initial packaging
